Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.util
Class Strings

    java.lang.Object
      org.bouncycastle.util.Strings

    public final class Strings

extends java.lang.Object

Constructor Summary
`Strings()`

Method Summary
`static java.lang.String` | `fromUTF8ByteArray(byte[] bytes)`
`static java.lang.String[]` | `split(java.lang.String input, char delimiter)`
`static byte[]` | `toByteArray(java.lang.String string)`
`static java.lang.String` | `toLowerCase(java.lang.String string)` A locale independent version of toLowerCase.
`static java.lang.String` | `toUpperCase(java.lang.String string)` A locale independent version of toUpperCase.
`static byte[]` | `toUTF8ByteArray(char[] string)`
`static byte[]` | `toUTF8ByteArray(java.lang.String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Strings

    public Strings()

Method Detail

### fromUTF8ByteArray

    public static java.lang.String fromUTF8ByteArray(byte[] bytes)

### toUTF8ByteArray

    public static byte[] toUTF8ByteArray(java.lang.String string)

### toUTF8ByteArray

    public static byte[] toUTF8ByteArray(char[] string)

### toUpperCase

    public static java.lang.String toUpperCase(java.lang.String string)

  A locale independent version of toUpperCase.

  Parameters:
    `string` - input to be converted
  Returns:
    a US Ascii uppercase version

### toLowerCase

    public static java.lang.String toLowerCase(java.lang.String string)

  A locale independent version of toLowerCase.

  Parameters:
    `string` - input to be converted
  Returns:
    a US ASCII lowercase version

### toByteArray

    public static byte[] toByteArray(java.lang.String string)

### split

    public static java.lang.String[] split(java.lang.String input,
                                           char delimiter)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD